
PyCAMA - Support #27841

[PyCAMA] update filters for HCHO (possibly others) to exclude data with QA value < 0.5

09/09/2020 11:24 AM - Maarten Sneep

Status: New Start date: 09/09/2020

Priority: Normal Due date: 12/11/2020

Assignee: Maarten Sneep % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: PyCAMA 1.0   

Description

Isabelle made a request to exclude retrievals with a QA value smaller than 0.5 from the PyCAMA analysis. At this moment we

include everything that is not a fill value in the analysis, it is not hard to add a filter on the QA value, and start to monitor only the

'good' values. Please note that this also means that some problems may be masked by this choice, problems that only show up in

retrievals 'with issues'. This is also the reason I haven't implemented this before. I will only implement this on request. The event

counter will remain as is, but all retrievals with a small QA value will be removed here, if requested.

Let me know below if you want your product to be filtered, and in what way.

Related issues:

Related to PyCAMA - Support #28421: Prepare for version 2 quality control mon... New 10/15/2020 12/11/2020

History

#1 - 10/15/2020 10:10 AM - Maarten Sneep

- Related to Support #28421: Prepare for version 2 quality control monitoring. added

#2 - 10/15/2020 10:28 AM - Maarten Sneep

- Due date set to 12/11/2020

#3 - 10/20/2020 11:43 AM - Maarten Sneep

Isabelle responded via email:

I agree that it is important to keep monitoring all the data.

If we can have different filters, and I heard you saying that it was possible, then it would be very nice to have all the data for SCD, corrected SCD

and AMFs.

And only filter the tropospheric HCHO VCD + HCHO VCDE random + HCHO VCDE systematic with the QA values.

Or alternatively, apply a filter for the clouds, again only for HCHO VCDs. Because large cloud artifacts in the AMFs mask all other possible

problems.

 

I will set up the new filters and provide a test report based on a single day from DDS2B. Because of other obligations this will take some time.
